跳转到内容
Ask AI

MPLS-Netconf

此内容尚不支持你的语言。

YANG Pathget/get-configedit-configrpc
/clear-mpls-ldp-neighbor——Y
/mplsYmerge, replace, create, delete—
/mpls-l2vpnYmerge, replace, create, delete—
/mpls-l2vpn/ccc-instances/{name}Ymerge, replace, create, delete—
/mpls-l2vpn/l2vpn-instances/{name}/{l2vpn-type}Ymerge, replace, create, delete—
/mpls-l2vpn/pseudowires/{name}Ymerge, replace, create, delete—
/mpls-ldpYmerge, replace, create, delete—
/mpls-ldp/address-families/{type}Ymerge, replace, create, delete—
/mpls-ldp/address-families/{type}/discoveryYmerge, replace, create, delete—
/mpls-ldp/address-families/{type}/interfaces/{name}Ymerge, replace, create, delete—
/mpls-ldp/address-families/{type}/labelYmerge, replace, create, delete—
/mpls-ldp/address-families/{type}/neighbors/{neighbor}Ymerge, replace, create, delete—
/mpls-ldp/globalYmerge, replace, create, delete—
/mpls-ldp/global/neighbors/{neighbor}Ymerge, replace, create, delete—
/mpls/mpls-interfaces/{name}Ymerge, replace, create, delete—
/mpls/static-lsps/{incoming-label}/{next-hop}Ymerge, replace, create, delete—
/show-l2vpn-atom-binding-json——Y
/show-l2vpn-atom-vc-json——Y
/show-mpls-ldp-binding——Y
/show-mpls-ldp-capabilities——Y
/show-mpls-ldp-discovery——Y
/show-mpls-ldp-interface——Y
/show-mpls-ldp-neighbor——Y
/show-mpls-pseudowire-json——Y
/show-mpls-table——Y

This chapter provides examples on how to use Netconf to manage MPLS configurations on AsterNOS devices.

Request example to enable L3VPN multi-domain switching on an interface via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<mpls-interfaces operation="create">
<mpls-interface>
<name>Ethernet1</name>
<l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching>
</mpls-interface>
</mpls-interfaces>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000000">
<ok/>
</rpc-reply>

Request example to get MPLS interface configuration via get-config with subtree filter.

<filter type="subtree">
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<mpls-interfaces>
<mpls-interface>
<name>Ethernet1</name>
</mpls-interface>
</mpls-interfaces>
</mpls>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000001">
<data>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<mpls-interfaces>
<mpls-interface>
<name>Ethernet1</name>
<l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching>
</mpls-interface>
</mpls-interfaces>
</mpls>
</top>
</data>
</rpc-reply>

Request example to merge MPLS interface configuration via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<mpls-interfaces>
<mpls-interface operation="merge">
<name>Ethernet2</name>
<l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching>
</mpls-interface>
</mpls-interfaces>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000002">
<ok/>
</rpc-reply>

Request example to disable L3VPN multi-domain switching on an interface via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<mpls-interfaces>
<mpls-interface operation="delete">
<name>Ethernet3</name>
</mpls-interface>
</mpls-interfaces>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000003">
<ok/>
</rpc-reply>

Request example to verify deletion via get-config with subtree filter.

<filter type="subtree">
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<mpls-interfaces/>
</mpls>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000004">
<data>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<mpls-interfaces/>
</mpls>
</top>
</data>
</rpc-reply>

Request example to create a static transit LSP via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<static-lsps operation="create">
<static-lsp>
<incoming-label>16</incoming-label>
<next-hop>10.0.0.2</next-hop>
<outgoing-label>18</outgoing-label>
</static-lsp>
</static-lsps>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000005">
<ok/>
</rpc-reply>

Request example to create a static LSP with explicit-null outgoing label via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<static-lsps>
<static-lsp operation="create">
<incoming-label>17</incoming-label>
<next-hop>10.0.0.2</next-hop>
<outgoing-label>explicit-null</outgoing-label>
</static-lsp>
</static-lsps>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000006">
<ok/>
</rpc-reply>

Request example to create a static LSP with implicit-null outgoing label via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls" operation="create">
<static-lsps>
<static-lsp>
<incoming-label>18</incoming-label>
<next-hop>10.0.0.2</next-hop>
<outgoing-label>implicit-null</outgoing-label>
</static-lsp>
</static-lsps>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000007">
<ok/>
</rpc-reply>

Request example to get static LSP configuration via get-config with subtree filter.

<filter type="subtree">
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<static-lsps>
<static-lsp>
<incoming-label>16</incoming-label>
<next-hop>10.0.0.2</next-hop>
</static-lsp>
</static-lsps>
</mpls>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000008">
<data>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<static-lsps>
<static-lsp>
<incoming-label>16</incoming-label>
<next-hop>10.0.0.2</next-hop>
<outgoing-label>18</outgoing-label>
</static-lsp>
</static-lsps>
</mpls>
</top>
</data>
</rpc-reply>

Request example to merge static LSP configuration via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<static-lsps>
<static-lsp operation="merge">
<incoming-label>16</incoming-label>
<next-hop>10.0.0.2</next-hop>
<outgoing-label>22</outgoing-label>
</static-lsp>
</static-lsps>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000009">
<ok/>
</rpc-reply>

Request example to delete a static LSP via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<static-lsps>
<static-lsp operation="delete">
<incoming-label>16</incoming-label>
<next-hop>10.0.0.2</next-hop>
</static-lsp>
</static-lsps>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000010">
<ok/>
</rpc-reply>

Request example to create the entire MPLS configuration via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls" operation="create">
<mpls-interfaces>
<mpls-interface>
<name>Ethernet1</name>
<l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching>
</mpls-interface>
</mpls-interfaces>
<static-lsps>
<static-lsp>
<incoming-label>16</incoming-label>
<next-hop>10.0.0.2</next-hop>
<outgoing-label>18</outgoing-label>
</static-lsp>
<static-lsp>
<incoming-label>17</incoming-label>
<next-hop>10.0.0.3</next-hop>
<outgoing-label>implicit-null</outgoing-label>
</static-lsp>
</static-lsps>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000011">
<ok/>
</rpc-reply>

Request example to get the entire MPLS configuration via get-config with subtree filter.

<filter type="subtree">
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"/>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000012">
<data>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls">
<mpls-interfaces>
<mpls-interface>
<name>Ethernet1</name>
<l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching>
</mpls-interface>
</mpls-interfaces>
<static-lsps>
<static-lsp>
<incoming-label>16</incoming-label>
<next-hop>10.0.0.2</next-hop>
<outgoing-label>18</outgoing-label>
</static-lsp>
<static-lsp>
<incoming-label>17</incoming-label>
<next-hop>10.0.0.3</next-hop>
<outgoing-label>implicit-null</outgoing-label>
</static-lsp>
</static-lsps>
</mpls>
</top>
</data>
</rpc-reply>

Request example to merge the entire MPLS configuration via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls" operation="merge">
<mpls-interfaces>
<mpls-interface>
<name>Ethernet1</name>
<l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching>
</mpls-interface>
<mpls-interface>
<name>Ethernet2</name>
<l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching>
</mpls-interface>
</mpls-interfaces>
<static-lsps>
<static-lsp>
<incoming-label>16</incoming-label>
<next-hop>10.0.0.2</next-hop>
<outgoing-label>18</outgoing-label>
</static-lsp>
</static-lsps>
</mpls>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000013">
<ok/>
</rpc-reply>

Request example to delete the entire MPLS configuration via edit-config.

<config>
<top>
<mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls" operation="delete"/>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000014">
<ok/>
</rpc-reply>

Tree Diagram

module: asternos-mpls
+--rw mpls
+--rw mpls-interfaces
| +--rw mpls-interface* [name]
| +--rw name interface-name
| +--rw l3vpn-multi-domain-switching? boolean
+--rw static-lsps
+--rw static-lsp* [incoming-label next-hop]
+--rw incoming-label mpls-label
+--rw next-hop inet:ip-address
+--rw outgoing-label outgoing-label-type

Table of Properties

NameRequiredType/RangeDescription
mplsO

This container defines the information l2vpn

Section titled “This container defines the information l2vpn”

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"
module: asternos-mpls-l2vpn
+--rw mpls-l2vpn
+--rw pseudowires
| +--rw pseudowire* [name]
| +--rw name string
| +--rw pw-type? mpls-l2vpn-signaling-type
| +--rw pw-id? uint32
| +--rw transmit-label? uint32
| +--rw receive-label? uint32
| +--rw peer-address? inet:ip-address-no-zone
| +--rw peer-lsr-id? inet:ipv4-address-no-zone
| +--rw pw-status? boolean
+--rw l2vpn-instances
| +--rw l2vpn-instance* [name l2vpn-type]
| +--rw name string
| +--rw l2vpn-type mpls-l2vpn-type
| +--rw pseudowire* string
| +--rw ac-interface? union
+--rw ccc-instances
+--rw ccc-instance* [name]
+--rw name string
+--rw ccc-type? mpls-ccc-type
+--rw ac-interface* union
+--rw transmit-label? uint32
+--rw receive-label? uint32
+--rw nexthop? inet:ip-address-no-zone

Table of Properties

NameRequiredType/RangeDescription
mpls-l2vpnMPath-only node, has no configurable value.
This container defines the information l2vpn.
pseudowiresMPath-only node, has no configurable value.
pseudowire list.
pseudowireMPath-only node, has no configurable value.
list of pseudowires.
nameONonepseudowire name.
pw-typeO”static"
"ldp”
pseudowire type.
pw-idO1..4294967295pseudowire id.
transmit-labelO16..1048575transmit label.
receive-labelO16..1048575receive label.
peer-addressOinet:ip-address-no-zonepeer IP address.
peer-lsr-idOinet:ipv4-address-no-zonepeer LDP router identifier.
pw-statusO”true"
"false”
pseudowire status.
Default value: True
l2vpn-instancesMPath-only node, has no configurable value.
mpls l2vpn instance list.
l2vpn-instanceMPath-only node, has no configurable value.
list of l2vpn instances.
nameONonel2vpn instance name.
l2vpn-typeO”vpls"
"vpws”
mpls l2vpn type.
pseudowireONonepseudowire interface list of l2vpn instance.
ac-interfaceOEthernet nameattachment circuit interface list of l2vpn instance.

for vpls the interface must be a vlan.

for vpws the interface must be a port
ccc-instancesMPath-only node, has no configurable value.
mpls vpws ccc instance list.
ccc-instanceMPath-only node, has no configurable value.
list of ccc instances.
nameONonename of ccc instance
ccc-typeO”local"
"remote”
ccc type
ac-interfaceOEthernet nameattachment circuit interface of mpls vpws ccc. The interface must be 2 for local ccc
transmit-labelO0..1048575transmit lable
receive-labelO16..1048575receive label
nexthopOinet:ip-address-no-zonenexthop IP address.

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"
module: asternos-mpls-l2vpn
+--rw mpls-l2vpn
+--rw ccc-instances
+--rw ccc-instance* [name]
+--rw name string
+--rw ccc-type? mpls-ccc-type
+--rw ac-interface* union
+--rw transmit-label? uint32
+--rw receive-label? uint32
+--rw nexthop? inet:ip-address-no-zone

Table of Properties

NameRequiredType/RangeDescription
ccc-instancesMPath-only node, has no configurable value.
mpls vpws ccc instance list.
ccc-instanceMPath-only node, has no configurable value.
list of ccc instances.
nameONonename of ccc instance
ccc-typeO”local"
"remote”
ccc type
ac-interfaceOEthernet nameattachment circuit interface of mpls vpws ccc. The interface must be 2 for local ccc
transmit-labelO0..1048575transmit lable
receive-labelO16..1048575receive label
nexthopOinet:ip-address-no-zonenexthop IP address.

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"
module: asternos-mpls-l2vpn
+--rw mpls-l2vpn
+--rw l2vpn-instances
+--rw l2vpn-instance* [name l2vpn-type]
+--rw name string
+--rw l2vpn-type mpls-l2vpn-type
+--rw pseudowire* string
+--rw ac-interface? union

Table of Properties

NameRequiredType/RangeDescription
l2vpn-instancesMPath-only node, has no configurable value.
mpls l2vpn instance list.
l2vpn-instanceMPath-only node, has no configurable value.
list of l2vpn instances.
nameONonel2vpn instance name.
l2vpn-typeO”vpls"
"vpws”
mpls l2vpn type.
pseudowireONonepseudowire interface list of l2vpn instance.
ac-interfaceOEthernet nameattachment circuit interface list of l2vpn instance.

for vpls the interface must be a vlan.

for vpws the interface must be a port

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"
module: asternos-mpls-l2vpn
+--rw mpls-l2vpn
+--rw pseudowires
+--rw pseudowire* [name]
+--rw name string
+--rw pw-type? mpls-l2vpn-signaling-type
+--rw pw-id? uint32
+--rw transmit-label? uint32
+--rw receive-label? uint32
+--rw peer-address? inet:ip-address-no-zone
+--rw peer-lsr-id? inet:ipv4-address-no-zone
+--rw pw-status? boolean

Table of Properties

NameRequiredType/RangeDescription
pseudowiresMPath-only node, has no configurable value.
pseudowire list.
pseudowireMPath-only node, has no configurable value.
list of pseudowires.
nameONonepseudowire name.
pw-typeO”static"
"ldp”
pseudowire type.
pw-idO1..4294967295pseudowire id.
transmit-labelO16..1048575transmit label.
receive-labelO16..1048575receive label.
peer-addressOinet:ip-address-no-zonepeer IP address.
peer-lsr-idOinet:ipv4-address-no-zonepeer LDP router identifier.
pw-statusO”true"
"false”
pseudowire status.
Default value: True

Top-level container for MPLS LDP configuration

Section titled “Top-level container for MPLS LDP configuration”

Tree Diagram

module: asternos-mpls-ldp
+--rw mpls-ldp
+--rw global
| +--rw router-id? inet:ipv4-address
| +--rw ordered-control? boolean
| +--rw wait-for-sync? uint32
| +--rw dual-stack-prefer-ipv4? boolean
| +--rw hello-interval? uint16
| +--rw hello-holdtime? uint16
| +--rw targeted-hello-interval? uint16
| +--rw targeted-hello-holdtime? uint16
| +--rw neighbors* [neighbor]
| +--rw neighbor inet:ipv4-address
| +--rw password? string
| +--rw ttl-security-disable? boolean
| +--rw ttl-security-hops? uint8
| +--rw session-interval? uint16
| +--rw session-holdtime? uint16
+--rw address-families
+--rw address-family* [type]
+--rw type enumeration
+--rw discovery
| +--rw hello-interval? uint16
| +--rw hello-holdtime? uint16
| +--rw targeted-hello-interval? uint16
| +--rw targeted-hello-holdtime? uint16
| +--rw (targeted-hello-accept-policy)?
| | +--:(all)
| | | +--rw targeted-hello-accept-all? boolean
| | +--:(filter)
| | +--rw targeted-hello-accept-filter? string
| +--rw transport-address? inet:ip-address
+--rw interfaces* [name]
| +--rw name interface-name
| +--rw disable-establish-hello? boolean
| +--rw hello-interval? uint16
| +--rw hello-holdtime? uint16
+--rw neighbors* [neighbor]
| +--rw neighbor inet:ip-address
| +--rw targeted? boolean
+--rw label
| +--rw local-advertise-peer-filter? filter:filter-list-name
| +--rw local-advertise-prefix-filter? filter:filter-list-name
| +--rw (local-advertise-explicit-null-policy)?
| | +--:(explicit-null-enable)
| | | +--rw local-advertise-explicit-null-enable? boolean
| | +--:(explicit-null-prefix-filter)
| | +--rw local-advertise-explicit-null-prefix-filter? filter:filter-list-name
| +--rw (local-allocate-policy)?
| | +--:(host-routes-only)
| | | +--rw local-allocate-host-routes-only? boolean
| | +--:(prefix-filter)
| | +--rw local-allocate-prefix-filter? filter:filter-list-name
| +--rw remote-accept-peer-filter? filter:filter-list-name
| +--rw remote-accept-prefix-filter? filter:filter-list-name
+--rw ttl-security-disable? boolean
+--rw session-interval? uint16
+--rw session-holdtime? uint16

Table of Properties

NameRequiredType/RangeDescription
mpls-ldpMPath-only node, has no configurable value.
Top-level container for MPLS LDP configuration.
globalMPath-only node, has no configurable value.
Global MPLS LDP parameters.
router-idOinet:ipv4-addressLSR Identifier for the LDP instance.
ordered-controlO”true"
"false”
Enable ordered control mode for LDP.
Default value: False
wait-for-syncO1..10000Time to wait for LDP-IGP Sync to complete label exchange.
Default value: 10
dual-stack-prefer-ipv4O”true"
"false”
Prefer IPv4 for transport connection in dual-stack environments.

If false, IPv6 is preferred.
Default value: False
hello-intervalO1..65535Interval between consecutive LDP Hello messages.
Default value: 2
hello-holdtimeO1..65535Time to maintain Hello adjacency without receiving messages.
Default value: 1
targeted-hello-intervalO1..65535The interval between consecutive LDP targeted Hello messages.
Default value: 5
targeted-hello-holdtimeO1..65535The time interval for which a targeted Hello adjacency is maintained.
Default value: 4
neighborsMPath-only node, has no configurable value.
Neighbor specific LDP parameters.
neighborOinet:ipv4-addressLDP Identifier of neighbor (LSR ID).
passwordOstring (length 1..32)MD5 password for LDP session.
ttl-security-disableO”true"
"false”
Disable TTL security check.
Default value: False
ttl-security-hopsO1..254Number of hops allowed for TTL security.
session-intervalO5..65535Interval between successive keepalive packets.
Default value: 5
session-holdtimeO15..65535Time after which an inactive session is terminated.
Default value: 15
address-familiesMPath-only node, has no configurable value.
LDP address family specific configuration.
address-familyMPath-only node, has no configurable value.
Per-address family (IPv4 or IPv6) configuration.
typeO”ipv4"
"ipv6”
Address family type.
discoveryMPath-only node, has no configurable value.
Address-family discovery parameters.
hello-intervalO1..65535Interval between consecutive LDP Hello messages.
Default value: 2
hello-holdtimeO1..65535Time to maintain Hello adjacency without receiving messages.
Default value: 1
targeted-hello-intervalO1..65535The interval between consecutive LDP targeted Hello messages.
Default value: 5
targeted-hello-holdtimeO1..65535The time interval for which a targeted Hello adjacency is maintained.
Default value: 4
targeted-hello-accept-allO”true"
"false”
Accept targeted hellos from any neighbor (overrides filter-list).
Default value: False
targeted-hello-accept-filterOstringFilter-list name to permit specific neighbors for targeted hellos.
transport-addressOinet:ip-addressSpecify transport address for TCP connection discovery.
interfacesMPath-only node, has no configurable value.
Interface specific LDP configuration.
nameOEthernet nameInterface name (e.g., Ethernet0).
disable-establish-helloO”true"
"false”
Disable LDP session establishment on this interface.
Default value: False
hello-intervalO1..65535Interval between consecutive LDP Hello messages.
Default value: 2
hello-holdtimeO1..65535Time to maintain Hello adjacency without receiving messages.
Default value: 1
neighborsMPath-only node, has no configurable value.
Neighbor specific LDP parameters.
neighborOinet:ip-addressLDP Identifier of neighbor (LSR ID).
targetedO”true"
"false”
Whether this is a targeted LDP neighbor.
Default value: False
labelMPath-only node, has no configurable value.
Label advertisement policies for this address family (flattened).
local-advertise-peer-filterOfilter:filter-list-nameAdvertise labels only to LDP peers matched by this filter.
local-advertise-prefix-filterOfilter:filter-list-nameAdvertise labels only for destination prefixes matched by this filter.
local-advertise-explicit-null-enableO”true"
"false”
Enable explicit-null advertisement.
Default value: False
local-advertise-explicit-null-prefix-filterOfilter:filter-list-namePrefix filter for explicit-null advertisement.
local-allocate-host-routes-onlyO”true"
"false”
Allocate labels only for host routes (/32 or /128).
Default value: False
local-allocate-prefix-filterOfilter:filter-list-nameAllocate labels for prefixes matching this filter.
remote-accept-peer-filterOfilter:filter-list-nameAccept labels only from LDP peers matched by this filter.
remote-accept-prefix-filterOfilter:filter-list-nameAccept labels only for destination prefixes matched by this filter.
ttl-security-disableO”true"
"false”
Disable LDP TTL security check globally.
Default value: False
session-intervalO5..65535Interval between successive keepalive packets.
Default value: 5
session-holdtimeO15..65535Time after which an inactive session is terminated.
Default value: 15

Tree Diagram

module: asternos-mpls-ldp
+--rw mpls-ldp
+--rw address-families
+--rw address-family* [type]
+--rw type enumeration
+--rw discovery
| +--rw hello-interval? uint16
| +--rw hello-holdtime? uint16
| +--rw targeted-hello-interval? uint16
| +--rw targeted-hello-holdtime? uint16
| +--rw (targeted-hello-accept-policy)?
| | +--:(all)
| | | +--rw targeted-hello-accept-all? boolean
| | +--:(filter)
| | +--rw targeted-hello-accept-filter? string
| +--rw transport-address? inet:ip-address
+--rw interfaces* [name]
| +--rw name interface-name
| +--rw disable-establish-hello? boolean
| +--rw hello-interval? uint16
| +--rw hello-holdtime? uint16
+--rw neighbors* [neighbor]
| +--rw neighbor inet:ip-address
| +--rw targeted? boolean
+--rw label
| +--rw local-advertise-peer-filter? filter:filter-list-name
| +--rw local-advertise-prefix-filter? filter:filter-list-name
| +--rw (local-advertise-explicit-null-policy)?
| | +--:(explicit-null-enable)
| | | +--rw local-advertise-explicit-null-enable? boolean
| | +--:(explicit-null-prefix-filter)
| | +--rw local-advertise-explicit-null-prefix-filter? filter:filter-list-name
| +--rw (local-allocate-policy)?
| | +--:(host-routes-only)
| | | +--rw local-allocate-host-routes-only? boolean
| | +--:(prefix-filter)
| | +--rw local-allocate-prefix-filter? filter:filter-list-name
| +--rw remote-accept-peer-filter? filter:filter-list-name
| +--rw remote-accept-prefix-filter? filter:filter-list-name
+--rw ttl-security-disable? boolean
+--rw session-interval? uint16
+--rw session-holdtime? uint16

Table of Properties

NameRequiredType/RangeDescription
address-familiesMPath-only node, has no configurable value.
LDP address family specific configuration.
address-familyMPath-only node, has no configurable value.
Per-address family (IPv4 or IPv6) configuration.
typeO”ipv4"
"ipv6”
Address family type.
discoveryMPath-only node, has no configurable value.
Address-family discovery parameters.
hello-intervalO1..65535Interval between consecutive LDP Hello messages.
Default value: 2
hello-holdtimeO1..65535Time to maintain Hello adjacency without receiving messages.
Default value: 1
targeted-hello-intervalO1..65535The interval between consecutive LDP targeted Hello messages.
Default value: 5
targeted-hello-holdtimeO1..65535The time interval for which a targeted Hello adjacency is maintained.
Default value: 4
targeted-hello-accept-allO”true"
"false”
Accept targeted hellos from any neighbor (overrides filter-list).
Default value: False
targeted-hello-accept-filterOstringFilter-list name to permit specific neighbors for targeted hellos.
transport-addressOinet:ip-addressSpecify transport address for TCP connection discovery.
interfacesMPath-only node, has no configurable value.
Interface specific LDP configuration.
nameOEthernet nameInterface name (e.g., Ethernet0).
disable-establish-helloO”true"
"false”
Disable LDP session establishment on this interface.
Default value: False
hello-intervalO1..65535Interval between consecutive LDP Hello messages.
Default value: 2
hello-holdtimeO1..65535Time to maintain Hello adjacency without receiving messages.
Default value: 1
neighborsMPath-only node, has no configurable value.
Neighbor specific LDP parameters.
neighborOinet:ip-addressLDP Identifier of neighbor (LSR ID).
targetedO”true"
"false”
Whether this is a targeted LDP neighbor.
Default value: False
labelMPath-only node, has no configurable value.
Label advertisement policies for this address family (flattened).
local-advertise-peer-filterOfilter:filter-list-nameAdvertise labels only to LDP peers matched by this filter.
local-advertise-prefix-filterOfilter:filter-list-nameAdvertise labels only for destination prefixes matched by this filter.
local-advertise-explicit-null-enableO”true"
"false”
Enable explicit-null advertisement.
Default value: False
local-advertise-explicit-null-prefix-filterOfilter:filter-list-namePrefix filter for explicit-null advertisement.
local-allocate-host-routes-onlyO”true"
"false”
Allocate labels only for host routes (/32 or /128).
Default value: False
local-allocate-prefix-filterOfilter:filter-list-nameAllocate labels for prefixes matching this filter.
remote-accept-peer-filterOfilter:filter-list-nameAccept labels only from LDP peers matched by this filter.
remote-accept-prefix-filterOfilter:filter-list-nameAccept labels only for destination prefixes matched by this filter.
ttl-security-disableO”true"
"false”
Disable LDP TTL security check globally.
Default value: False
session-intervalO5..65535Interval between successive keepalive packets.
Default value: 5
session-holdtimeO15..65535Time after which an inactive session is terminated.
Default value: 15

Tree Diagram

module: asternos-mpls-ldp
+--rw mpls-ldp
+--rw address-families

Tree Diagram

module: asternos-mpls-ldp
+--rw mpls-ldp
+--rw address-families

Tree Diagram

module: asternos-mpls-ldp
+--rw mpls-ldp
+--rw address-families

Tree Diagram

module: asternos-mpls-ldp
+--rw mpls-ldp
+--rw address-families

Tree Diagram

module: asternos-mpls-ldp
+--rw mpls-ldp
+--rw global
+--rw router-id? inet:ipv4-address
+--rw ordered-control? boolean
+--rw wait-for-sync? uint32
+--rw dual-stack-prefer-ipv4? boolean
+--rw hello-interval? uint16
+--rw hello-holdtime? uint16
+--rw targeted-hello-interval? uint16
+--rw targeted-hello-holdtime? uint16
+--rw neighbors* [neighbor]
+--rw neighbor inet:ipv4-address
+--rw password? string
+--rw ttl-security-disable? boolean
+--rw ttl-security-hops? uint8
+--rw session-interval? uint16
+--rw session-holdtime? uint16

Table of Properties

NameRequiredType/RangeDescription
globalMPath-only node, has no configurable value.
Global MPLS LDP parameters.
router-idOinet:ipv4-addressLSR Identifier for the LDP instance.
ordered-controlO”true"
"false”
Enable ordered control mode for LDP.
Default value: False
wait-for-syncO1..10000Time to wait for LDP-IGP Sync to complete label exchange.
Default value: 10
dual-stack-prefer-ipv4O”true"
"false”
Prefer IPv4 for transport connection in dual-stack environments.

If false, IPv6 is preferred.
Default value: False
hello-intervalO1..65535Interval between consecutive LDP Hello messages.
Default value: 2
hello-holdtimeO1..65535Time to maintain Hello adjacency without receiving messages.
Default value: 1
targeted-hello-intervalO1..65535The interval between consecutive LDP targeted Hello messages.
Default value: 5
targeted-hello-holdtimeO1..65535The time interval for which a targeted Hello adjacency is maintained.
Default value: 4
neighborsMPath-only node, has no configurable value.
Neighbor specific LDP parameters.
neighborOinet:ipv4-addressLDP Identifier of neighbor (LSR ID).
passwordOstring (length 1..32)MD5 password for LDP session.
ttl-security-disableO”true"
"false”
Disable TTL security check.
Default value: False
ttl-security-hopsO1..254Number of hops allowed for TTL security.
session-intervalO5..65535Interval between successive keepalive packets.
Default value: 5
session-holdtimeO15..65535Time after which an inactive session is terminated.
Default value: 15

Tree Diagram

module: asternos-mpls-ldp
+--rw mpls-ldp
+--rw global
+--rw neighbors* [neighbor]
+--rw neighbor inet:ipv4-address
+--rw password? string
+--rw ttl-security-disable? boolean
+--rw ttl-security-hops? uint8
+--rw session-interval? uint16
+--rw session-holdtime? uint16

Table of Properties

NameRequiredType/RangeDescription
neighborsMPath-only node, has no configurable value.
Neighbor specific LDP parameters.
neighborOinet:ipv4-addressLDP Identifier of neighbor (LSR ID).
passwordOstring (length 1..32)MD5 password for LDP session.
ttl-security-disableO”true"
"false”
Disable TTL security check.
Default value: False
ttl-security-hopsO1..254Number of hops allowed for TTL security.
session-intervalO5..65535Interval between successive keepalive packets.
Default value: 5
session-holdtimeO15..65535Time after which an inactive session is terminated.
Default value: 15

Tree Diagram

module: asternos-mpls
+--rw mpls
+--rw mpls-interfaces
+--rw mpls-interface* [name]
+--rw name interface-name
+--rw l3vpn-multi-domain-switching? boolean

Table of Properties

NameRequiredType/RangeDescription
mpls-interfacesMPath-only node, has no configurable value.
Container for MPLS-enabled interfaces.
mpls-interfaceMPath-only node, has no configurable value.
An interface configured for MPLS.
nameOEthernet nameName of the interface.
l3vpn-multi-domain-switchingO”true"
"false”
Enable MPLS BGP L3VPN multi-domain switching on this interface.
Default value: False

Tree Diagram

module: asternos-mpls
+--rw mpls
+--rw static-lsps
+--rw static-lsp* [incoming-label next-hop]
+--rw incoming-label mpls-label
+--rw next-hop inet:ip-address
+--rw outgoing-label outgoing-label-type

Table of Properties

NameRequiredType/RangeDescription
static-lspsMPath-only node, has no configurable value.
Container for all static LSPs.
static-lspMPath-only node, has no configurable value.
A static transit LSP entry uniquely identified by incoming label and next-hop IP address.
incoming-labelO16..1048575Incoming label to match.
next-hopOinet:ip-addressNext-hop IP address for forwarding.
outgoing-labelM16..1048575
”explicit-null"
"implicit-null”
Label to swap and forward. Can be a label value, ‘explicit-null’, or ‘implicit-null’.

Tree Diagram

module: asternos-mpls-ldp
rpcs:
+---x clear-mpls-ldp-neighbor
+---w input
+---w lsr-id? inet:ip-address-no-zone

Table of Properties

NameRequiredType/RangeDescription
clear-mpls-ldp-neighborO
lsr-idOinet:ip-address-no-zoneLSR-ID of neighbor to clear.

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"
module: asternos-mpls-l2vpn
rpcs:
+---x show-l2vpn-atom-binding-json
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
show-l2vpn-atom-binding-jsonO
dataOA json data that show AToM(Any Transport over MPLS) label binding information.

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"
module: asternos-mpls-l2vpn
rpcs:
+---x show-l2vpn-atom-vc-json
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
show-l2vpn-atom-vc-jsonO
dataOA json data that show AToM(Any Transport over MPLS) virtual circuit information.

Tree Diagram

module: asternos-mpls-ldp
rpcs:
+---x show-mpls-ldp-binding
+---w input
| +---w (address-family)?
| | +--:(ipv4)
| | | +---w ipv4? empty
| | +--:(ipv6)
| | +---w ipv6? empty
| +---w (filter)?
| +--:(lsr-id)
| | +---w lsr-id? inet:ip-address-no-zone
| +--:(address)
| | +---w address? inet:ip-prefix
| +--:(local-label)
| | +---w local-label? uint32
| +--:(remote-label)
| +---w remote-label? uint32
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-mpls-ldp-bindingO
ipv4OemptyIPv4 address family.
ipv6OemptyIPv6 address family.
lsr-idOinet:ip-address-no-zoneFilter by neighbor LSR-ID.
addressOinet:ip-prefixFilter by destination prefix.
local-labelO0..1048575Filter by locally assigned label.
remote-labelO0..1048575Filter by remotely assigned label.
dataOLabel binding information.

Tree Diagram

module: asternos-mpls-ldp
rpcs:
+---x show-mpls-ldp-capabilities
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-mpls-ldp-capabilitiesO
dataOLDP capabilities data.

Tree Diagram

module: asternos-mpls-ldp
rpcs:
+---x show-mpls-ldp-discovery
+---w input
| +---w (address-family)?
| +--:(ipv4)
| | +---w ipv4? empty
| +--:(ipv6)
| +---w ipv6? empty
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-mpls-ldp-discoveryO
ipv4OemptyIPv4 address family.
ipv6OemptyIPv6 address family.
dataODiscovery information.

Tree Diagram

module: asternos-mpls-ldp
rpcs:
+---x show-mpls-ldp-interface
+---w input
| +---w (address-family)?
| +--:(ipv4)
| | +---w ipv4? empty
| +--:(ipv6)
| +---w ipv6? empty
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-mpls-ldp-interfaceO
ipv4OemptyIPv4 address family.
ipv6OemptyIPv6 address family.
dataOInterface information.

Tree Diagram

module: asternos-mpls-ldp
rpcs:
+---x show-mpls-ldp-neighbor
+---w input
| +---w lsr-id? inet:ip-address-no-zone
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-mpls-ldp-neighborO
lsr-idOinet:ip-address-no-zoneFilter by neighbor LSR-ID (optional).
dataONeighbor information.

Tree Diagram

/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"
module: asternos-mpls-l2vpn
rpcs:
+---x show-mpls-pseudowire-json
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
show-mpls-pseudowire-jsonO
dataOA json data that show MPLS Pseudowires information.

Tree Diagram

module: asternos-mpls
rpcs:
+---x show-mpls-table
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-mpls-tableO
dataOMPLS forwarding table contents.